classification
Title: test_ttk_guionly: test_to() fails on the GitHub Ubuntu job
Type: Stage: patch review
Components: Tests, Tkinter Versions: Python 3.9
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, serhiy.storchaka, vstinner
Priority: normal Keywords: patch

Created on 2020-11-16 14:56 by vstinner, last changed 2020-11-30 22:34 by miss-islington.

Pull Requests
URL Status Linked Edit
PR 23474 serhiy.storchaka, 2020-11-24 10:38
PR 23491 merged serhiy.storchaka, 2020-11-24 12:05
PR 23497 merged miss-islington, 2020-11-24 17:36
PR 23498 merged miss-islington, 2020-11-24 17:36
Messages (6)
msg381101 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-16 14:56
Seen on the Ubuntu job on a GitHub PR:
https://github.com/python/cpython/pull/23315/checks?check_run_id=1406797840

======================================================================
FAIL: test_to (tkinter.test.test_ttk.test_widgets.SpinboxTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/runner/work/cpython/cpython/Lib/tkinter/test/test_ttk/test_widgets.py", line 1175, in test_to
    self.assertEqual(self.spin.get(), '5')
AssertionError: '4' != '5'
- 4
+ 5
msg381120 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-16 16:59
I'm unable to reproduce the failure locally.
msg381717 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-11-24 12:06
PR 23491 does not fix the failure, but it adds new checks which can provide additional information in case of failure.
msg381761 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-11-24 17:35
New changeset b0b428510cfd604a8eef1f245f039331e671ea4a by Serhiy Storchaka in branch 'master':
bpo-42370: Check element before making mouse click in ttk tests (GH-23491)
https://github.com/python/cpython/commit/b0b428510cfd604a8eef1f245f039331e671ea4a
msg381764 - (view) Author: miss-islington (miss-islington) Date: 2020-11-24 17:54
New changeset 8388a333070e3a0022b0fc4ce1ac876a2805c0a0 by Miss Islington (bot) in branch '3.8':
bpo-42370: Check element before making mouse click in ttk tests (GH-23491)
https://github.com/python/cpython/commit/8388a333070e3a0022b0fc4ce1ac876a2805c0a0
msg382202 - (view) Author: miss-islington (miss-islington) Date: 2020-11-30 22:34
New changeset b2652f2d7e1f3b868e9bec6669b3f3f905257991 by Miss Islington (bot) in branch '3.9':
bpo-42370: Check element before making mouse click in ttk tests (GH-23491)
https://github.com/python/cpython/commit/b2652f2d7e1f3b868e9bec6669b3f3f905257991
History
Date User Action Args
2020-11-30 22:34:52miss-islingtonsetmessages: + msg382202
2020-11-24 17:54:41miss-islingtonsetmessages: + msg381764
2020-11-24 17:36:10miss-islingtonsetpull_requests: + pull_request22388
2020-11-24 17:36:00miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request22387
2020-11-24 17:35:51serhiy.storchakasetmessages: + msg381761
2020-11-24 12:06:22serhiy.storchakasetmessages: + msg381717
2020-11-24 12:05:07serhiy.storchakasetpull_requests: + pull_request22380
2020-11-24 10:38:16serhiy.storchakasetkeywords: + patch
nosy: + serhiy.storchaka

pull_requests: + pull_request22378
stage: patch review
2020-11-16 16:59:38vstinnersetmessages: + msg381120
2020-11-16 14:56:27vstinnercreate